Show / Hide Table of Contents

# Struct WebhookInfo

Represents information for a webhook.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct WebhookInfo

### Properties

| Improve this Doc View Source

#### Avatar

Gets the hash value of this webhook's avatar.

##### Declaration

    public string Avatar { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the hash of this webhook's avatar.

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that this webhook sends to.

##### Declaration

    public ulong? ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> | A System.UInt64 representing the snowflake identifier of the channel that this webhook can send to.

| Improve this Doc View Source

#### Name

Gets the name of this webhook.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this webhook.